Package org.jboss.resteasy.setup

## Class AbstractUsersRolesSecurityDomainSetup

- java.lang.Object
- - org.jboss.resteasy.setup.AbstractUsersRolesSecurityDomainSetup

- All Implemented Interfaces:
    `org.jboss.as.arquillian.api.ServerSetupTask`

      public abstract class AbstractUsersRolesSecurityDomainSetup
      extends Object
      implements org.jboss.as.arquillian.api.ServerSetupTask

  This abstract class implements steps needed to create Elytron security domain.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractUsersRolesSecurityDomainSetup​(URL userFile, URL rolesFile)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​String>` | `getSecurityDomainConfig()` | A map of the security domain configuration.
    `void` | `setup​(org.jboss.as.arquillian.container.ManagementClient client, String s)` |
    `void` | `tearDown​(org.jboss.as.arquillian.container.ManagementClient client, String s)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractUsersRolesSecurityDomainSetup

          protected AbstractUsersRolesSecurityDomainSetup​(URL userFile,
                                                          URL rolesFile)

  - ### Method Detail

    - #### setup

          public void setup​(org.jboss.as.arquillian.container.ManagementClient client,
                            String s)
                     throws Exception

      Specified by:
        `setup` in interface `org.jboss.as.arquillian.api.ServerSetupTask`
      Throws:
        `Exception`

    - #### tearDown

          public void tearDown​(org.jboss.as.arquillian.container.ManagementClient client,
                               String s)
                        throws Exception

      Specified by:
        `tearDown` in interface `org.jboss.as.arquillian.api.ServerSetupTask`
      Throws:
        `Exception`

    - #### getSecurityDomainConfig

          public Map<String,​String> getSecurityDomainConfig()

      A map of the security domain configuration. The key is the security domain name and the value is the realm name.

      Override this method to configure more than one security domain.

      Returns:
        the security domain configuration